/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.vm;

import java.sql.Date;
import java.sql.Time;
import java.sql.Timestamp;



/**
 * パーティションNo.を決定する関数Interface
 */
public interface Hash_I {

	/**
	 * ノード数設定
	 * @param part
	 */
	void setPartNum(int part);

	/**
	 * ノード分割値設定
	 * @param col
	 */
	void addCol(int col);

	/**
	 * ノード分割値設定
	 * @param col
	 */
	void addCol(String col);

	/**
	 * ノード分割値設定
	 * @param col
	 */
	void addCol(Date col);

	/**
	 * ノード分割値設定
	 * @param col
	 */
	void addCol(Timestamp col);

	/**
	 * ノード分割値設定
	 * @param col
	 */
	void addCol(Time col);

	/**
	 * ノード分割値クリア
	 */
	void clearCol();

	/**
	 * ノードNo.取得
	 * @return ノードナンバー　0から(ノード数-1)
	 */
	int getNodeNo() ;


}

